//////////////////////////////////////////
// ResourceList.cpp
//Copyright (c) 08/11/2024 by BCCSkelton
//////////////////////////////////////////
#include	"ResourceList.h"
#include	"ResourceListProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//ファイル引数付きで起動する場合（g_ByFileフラグを立てる）
	if(Arg.c() > 1)
		g_ByFile = TRUE;

	//２重起動防止
	if(!ResourceList.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "ResourceList");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	ResourceList.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!ResourceList.Create("ResourceList"))
		return 0L;

	//メッセージループに入る
	return ResourceList.Loop();
}
